import { LanguageService } from './language.service';
export declare class TranspilationService {
    private language;
    constructor(language: LanguageService);
    transpileHtml(html: string): Promise<string>;
    resolvePipe(match: string): Promise<{}>;
    sanitize(match: string): string;
    readonly pattern: RegExp;
}
